Bug 341292 - looses selection when sorting
Summary: looses selection when sorting
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 4.14.2
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 14:39 UTC by dSP
Modified: 2018-01-31 16:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dSP 2014-11-26 14:39:19 UTC
When I sort messages by sender kmail2 changes the selected mail. This makes it unpossible to select a message and instantly see all messages from same sender.

Reproducible: Always

Steps to Reproduce:
(aggregation flat date view:)
1. sort by date
2. select a message
3. sort by sender

Actual Results:  
different message is selected
(I need to search the message again)

Expected Results:  
same message is selected
(I instantly see mails from same sender)

I tried this a few times now. ATM it always keeps selecting the same mail.
Comment 1 dSP 2014-11-30 22:08:28 UTC
might be connected to bugs 336878 & 341114.
should they be merged?
Comment 2 Denis Kurz 2017-06-23 20:05:22 UTC
This bug has never been confirmed for a KDE PIM version that is based on KDE Frameworks (5.x). Those versions differ significantly from the old 4.x series. Therefore, I plan to close it in around two or three months. In the meantime, it is set to WAITINGFORINFO to give reporters the oportunity to check if it is still valid. As soon as someone confirms it for a recent version (at least 5.1, ideally even more recent), I'll gladly reopen it.

Please understand that we lack the manpower to triage bugs reported for versions almost two years beyond their end of life.
Comment 3 Denis Kurz 2018-01-31 16:49:57 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.1 aka 15.12, preferably more recent), please open a new one unless it already exists. Thank you for all your input.